%global _hardened_build 1
%define major 1

Name:           lz4
Version:        1.9.4
Release:        %mkrel 1
Summary:        Extremely fast compression algorithm

Group:          Archiving/Compression
License:        Executeable GPLv2 / Library BSD
URL:            http://lz4.github.io/lz4/
Source0:        https://github.com/lz4/lz4/releases/tag/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Obsoletes:	lz4 = r131
Obsoletes:	lz4 < r131

%description
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

%package devel
Summary:	Extremely fast compression algorithm
Group:		Development/Libraries
Requires:	%name = %version

%description devel
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

This package contains the development headers and libraries for lz4.

%prep
%setup -q
%apply_patches

%build
%make PREFIX=/usr \
%ifarch x86_64
LIBDIR=/usr/lib64
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr \
%ifarch x86_64
LIBDIR=/usr/lib64
%endif


# remove static library
rm -f %{buildroot}/%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%files
%{_bindir}/lz4
%{_bindir}/lz4c
%{_bindir}/lz4cat
%{_bindir}/unlz4
%{_mandir}
%{_libdir}/liblz4.so.%{major}*


%files devel
%{_includedir}/lz4*
%{_libdir}/liblz4.so
%{_libdir}/pkgconfig/liblz4.pc


%changelog
* Tue Dec 06 2022 tex - 1.9.4-1pclos2022
- new version

* Tue Jan 25 2022 tex - 1.9.3-3pclos2022
- rebuild against updates

* Sat May 29 2021 tex - 1.9.3-2pclos2021
- apply security patch

* Thu Nov 19 2020 tex - 1.9.3-1pclos2020
- new version

* Fri Aug 23 2019 tex - 1.9.2-1pclos2019
- new version

* Wed Apr 24 2019 tex - 1.9.1-1pclos2019
- new version

* Tue Sep 11 2018 tex 1.8.3-1pclos2018
- new

* Thu Mar 29 2018 ghostbunny <ghostbunny at gmx dot de> 1.8.1.2-1pclos2018
- 1.8.1.2

* Sun Dec 31 2017 tex - 1.8.0-2pclos2018
- rebuild against updates
